Package org.jboss.logging.processor.model

## Interface DelegatingExecutableElement

All Superinterfaces:
  `javax.lang.model.AnnotatedConstruct`, `DelegatingElement`, `javax.lang.model.element.Element`, `javax.lang.model.element.ExecutableElement`, `javax.lang.model.element.Parameterizable`

All Known Subinterfaces:
  `MessageMethod`

    public interface DelegatingExecutableElement
    extends javax.lang.model.element.ExecutableElement, DelegatingElement

A delegating `ExecutableElement` interface. All methods are invoked on the delegate element by default.

Author:
  James R. Perkins

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default javax.lang.model.type.TypeMirror` `asType()`
`default javax.lang.model.element.AnnotationValue` `getDefaultValue()`
`javax.lang.model.element.ExecutableElement` `getDelegate()` The element to delegate the default methods to.
`default java.util.List<? extends javax.lang.model.element.VariableElement>` `getParameters()`
`default javax.lang.model.type.TypeMirror` `getReceiverType()`
`default javax.lang.model.type.TypeMirror` `getReturnType()`
`default javax.lang.model.element.Name` `getSimpleName()`
`default java.util.List<? extends javax.lang.model.type.TypeMirror>` `getThrownTypes()`
`default java.util.List<? extends javax.lang.model.element.TypeParameterElement>` `getTypeParameters()`
`default boolean` `isDefault()`
`default boolean` `isVarArgs()`

### Methods inherited from interface org.jboss.logging.processor.model.DelegatingElement

`accept, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getEnclosedElements, getEnclosingElement, getKind, getModifiers, isAnnotatedWith`

### Methods inherited from interface javax.lang.model.element.Element

`equals, hashCode`

### Method Detail

#### getDelegate

    javax.lang.model.element.ExecutableElement getDelegate()

Description copied from interface: `DelegatingElement`
The element to delegate the default methods to.

Specified by:
  `getDelegate` in interface `DelegatingElement`
Returns:
  the delegate

#### asType

    default javax.lang.model.type.TypeMirror asType()

Specified by:
  `asType` in interface `DelegatingElement`
Specified by:
  `asType` in interface `javax.lang.model.element.Element`

#### getTypeParameters

    default java.util.List<? extends javax.lang.model.element.TypeParameterElement> getTypeParameters()

Specified by:
  `getTypeParameters` in interface `javax.lang.model.element.ExecutableElement`
Specified by:
  `getTypeParameters` in interface `javax.lang.model.element.Parameterizable`

#### getReturnType

    default javax.lang.model.type.TypeMirror getReturnType()

Specified by:
  `getReturnType` in interface `javax.lang.model.element.ExecutableElement`

#### getParameters

    default java.util.List<? extends javax.lang.model.element.VariableElement> getParameters()

Specified by:
  `getParameters` in interface `javax.lang.model.element.ExecutableElement`

#### getReceiverType

    default javax.lang.model.type.TypeMirror getReceiverType()

Specified by:
  `getReceiverType` in interface `javax.lang.model.element.ExecutableElement`

#### isVarArgs

    default boolean isVarArgs()

Specified by:
  `isVarArgs` in interface `javax.lang.model.element.ExecutableElement`

#### isDefault

    default boolean isDefault()

Specified by:
  `isDefault` in interface `javax.lang.model.element.ExecutableElement`

#### getThrownTypes

    default java.util.List<? extends javax.lang.model.type.TypeMirror> getThrownTypes()

Specified by:
  `getThrownTypes` in interface `javax.lang.model.element.ExecutableElement`

#### getDefaultValue

    default javax.lang.model.element.AnnotationValue getDefaultValue()

Specified by:
  `getDefaultValue` in interface `javax.lang.model.element.ExecutableElement`

#### getSimpleName

    default javax.lang.model.element.Name getSimpleName()

Specified by:
  `getSimpleName` in interface `DelegatingElement`
Specified by:
  `getSimpleName` in interface `javax.lang.model.element.Element`
Specified by:
  `getSimpleName` in interface `javax.lang.model.element.ExecutableElement`